# generated by cabal-rpm-0.11.1
# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name pipes-safe
%global pkgver %{pkg_name}-%{version}

Name:           ghc-%{pkg_name}
Version:        2.2.5
Release:        1%{?dist}
Summary:        Safety for the pipes ecosystem

License:        BSD
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-exceptions-devel
BuildRequires:  ghc-monad-control-devel
BuildRequires:  ghc-pipes-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-transformers-base-devel
# End cabal-rpm deps

%description
This package adds resource management and exception handling to the 'pipes'
ecosystem.

Notable features include:

* /Resource Safety/: Guarantee finalization using 'finally', 'bracket' and more
* /Exception Safety/: Even against asynchronous exceptions!
* /Laziness/: Only acquire resources when you need them
* /Promptness/: Finalize resources early when you are done with them
* /Native Exception Handling/: Catch and resume from exceptions inside pipes
* /No Buy-in/: Mix resource-safe pipes with unmanaged pipes using 'hoist'.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkgver}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%license LICENSE


%files devel -f %{name}-devel.files
%doc README.md changelog.md


%changelog
* Thu Feb 23 2017 Jens Petersen <petersen@redhat.com> - 2.2.5-1
- update to 2.2.5

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Jul 13 2016 Jan Synáček <jsynacek@redhat.com> - 2.2.4-1
- Update to 2.2.4 (#1355952)

* Tue Mar 29 2016 Jan Synáček <jsynacek@redhat.com> - 2.2.2-1
- spec file generated by cabal-rpm-0.9.10
